'''OpenGL extension AMD.vertex_shader_layer

This module customises the behaviour of the 
OpenGL.raw.GL.AMD.vertex_shader_layer to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/AMD/vertex_shader_layer.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.AMD.vertex_shader_layer import *
from OpenGL.raw.GL.AMD.vertex_shader_layer import _EXTENSION_NAME

def glInitVertexShaderLayerAMD():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION