'''OpenGL extension ARB.sample_shading

This module customises the behaviour of the 
OpenGL.raw.GL.ARB.sample_shading to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/ARB/sample_shading.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.ARB.sample_shading import *
from OpenGL.raw.GL.ARB.sample_shading import _EXTENSION_NAME

def glInitSampleShadingARB():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION