'''OpenGL extension ARB.seamless_cube_map

This module customises the behaviour of the 
OpenGL.raw.GL.ARB.seamless_cube_map to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/ARB/seamless_cube_map.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.ARB.seamless_cube_map import *
from OpenGL.raw.GL.ARB.seamless_cube_map import _EXTENSION_NAME

def glInitSeamlessCubeMapARB():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION