'''OpenGL extension ARB.texture_query_levels

This module customises the behaviour of the 
OpenGL.raw.GL.ARB.texture_query_levels to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/ARB/texture_query_levels.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.ARB.texture_query_levels import *
from OpenGL.raw.GL.ARB.texture_query_levels import _EXTENSION_NAME

def glInitTextureQueryLevelsARB():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION