'''OpenGL extension ARB.vertex_attrib_binding

This module customises the behaviour of the 
OpenGL.raw.GL.ARB.vertex_attrib_binding to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/ARB/vertex_attrib_binding.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.ARB.vertex_attrib_binding import *
from OpenGL.raw.GL.ARB.vertex_attrib_binding import _EXTENSION_NAME

def glInitVertexAttribBindingARB():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION