'''OpenGL extension EXT.transform_feedback

This module customises the behaviour of the 
OpenGL.raw.GL.EXT.transform_feedback to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/EXT/transform_feedback.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.EXT.transform_feedback import *
from OpenGL.raw.GL.EXT.transform_feedback import _EXTENSION_NAME

def glInitTransformFeedbackEXT():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION