'''OpenGL extension IMG.user_clip_plane

This module customises the behaviour of the 
OpenGL.raw.GL.IMG.user_clip_plane to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/IMG/user_clip_plane.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.IMG.user_clip_plane import *
from OpenGL.raw.GL.IMG.user_clip_plane import _EXTENSION_NAME

def glInitUserClipPlaneIMG():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION