'''OpenGL extension NV.bindless_multi_draw_indirect

This module customises the behaviour of the 
OpenGL.raw.GL.NV.bindless_multi_draw_indirect to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/NV/bindless_multi_draw_indirect.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.NV.bindless_multi_draw_indirect import *
from OpenGL.raw.GL.NV.bindless_multi_draw_indirect import _EXTENSION_NAME

def glInitBindlessMultiDrawIndirectNV():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION