'''OpenGL extension NV.point_sprite

This module customises the behaviour of the 
OpenGL.raw.GL.NV.point_sprite to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/NV/point_sprite.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.NV.point_sprite import *
from OpenGL.raw.GL.NV.point_sprite import _EXTENSION_NAME

def glInitPointSpriteNV():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION