'''OpenGL extension NV.shader_buffer_store

This module customises the behaviour of the 
OpenGL.raw.GL.NV.shader_buffer_store to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/NV/shader_buffer_store.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.NV.shader_buffer_store import *
from OpenGL.raw.GL.NV.shader_buffer_store import _EXTENSION_NAME

def glInitShaderBufferStoreNV():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION