'''OpenGL extension OES.extended_matrix_palette

This module customises the behaviour of the 
OpenGL.raw.GL.OES.extended_matrix_palette to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/OES/extended_matrix_palette.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.OES.extended_matrix_palette import *
from OpenGL.raw.GL.OES.extended_matrix_palette import _EXTENSION_NAME

def glInitExtendedMatrixPaletteOES():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION