'''OpenGL extension SGIS.texture_filter4

This module customises the behaviour of the 
OpenGL.raw.GL.SGIS.texture_filter4 to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/SGIS/texture_filter4.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.SGIS.texture_filter4 import *
from OpenGL.raw.GL.SGIS.texture_filter4 import _EXTENSION_NAME

def glInitTextureFilter4SGIS():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION