'''OpenGL extension SGIX.async_pixel

This module customises the behaviour of the 
OpenGL.raw.GL.SGIX.async_pixel to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/SGIX/async_pixel.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
from OpenGL.GL import glget
import ctypes
from OpenGL.raw.GL import _types
from OpenGL.raw.GL.SGIX.async_pixel import *
from OpenGL.raw.GL.SGIX.async_pixel import _EXTENSION_NAME

def glInitAsyncPixelSGIX():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )

### END AUTOGENERATED SECTION